---
title: A Quick Overview Of SSB
description: My experience with Secure Scuttlebutt as a not-very-technical user
categories:
  - scuttlebutt
  - technology
published_date: "2022-05-14 20:33:24 +0000"
layout: default.liquid
is_draft: false
---
# A Quick Overview Of SSB

[Secure Scuttlebutt](https://scuttlebutt.nz/) (or SSB for short), is a P2P social network.
It works with a gossip protocol, you get new posts from people you follow, or people who those people follow, etc.

You can connect with users over the internet via servers, either pubs (which store data, and act like users themselves), or rooms (which work more to just connect users).
But you can also connect over bluetooth, or local networks.

The best way to get connected to the network would be to have someone nearbly that you can meet up with in person, but that's kind of hard to do.
I'd recommend joining a few smaller room/pub servers to get started.

But since all the data is stored locally on your device first, it works completely offline!
You can read posts, reply to them, make posts, change your profile, and everything, while being fully offline!
The changes are synced next time you go back online.

The official site explains how the network works with a really cute video!

Unfortunately, this can cause it to take up quite a bit of space, especially if you follow a lot of users.
My current database takes up about `7.7GB`.

## Culture
I've tried a few P2P social platforms, but this is the only one I've stuck with.

The main reason for this is the people on it.

Most other platforms are filled with cryptobros, blockchain shit, and people throwing slurs around.
Scuttlebutt, on the other hand, is filled with left-leaning solarpunks and queer friendly people.

It's a really friendly environment. And while a *majority* of posts are about technology, there's lot's of other stuff going on too!
Lot's of people posting about anarchism, their gardens, cool mushrooms they found, and everything else.

Howver, it does feel fairly slow. I follow quite a few users, but don't get a lot of posts in my feed all that ofter.
This is nice though, I think. It contrasts the high speed of other standard social media.

## Moderation and Safety
As it is a P2P platform, you are the only moderator of your content.

Currently the main options are to block a user, and to ignore them, which just hides their posts from your view.
You can see when other users block accounts, so you can copy the blocks of someone you trust.

I think there are plans to implement better moderation technology, with something like [trustnet](https://cblgh.org/trustnet/).

However, this hasn't really been much of a problem for me so far. The worst I've seen is some spam, but those people get easily blocked.
I haven't seen any sort of harassment or awfulness like on the Fediverse, or Twitter.
Maybe that's because it's so small, maybe it's because they're just turned off by the culture immediately, or maybe they just haven't made it into my social graph.

There is no way to delete content at the moment. This is mainly a technical problem, as user feeds are represented as append-only logs, and you'd have to propogate deletion requests to all users, and there would be no way to ensure everyone has deleted it.

Again, there are plans to implement a way of deleting content however.

SSB is currently in heavy development, and features are being changed and added all the time.

## Clients
The way you interact with the SSB network is with one of various clients. There are currently clients for various platforms, including desktop, web, and mobile (iOS & Android).

The client I'm using at the moment is [Manyverse](https://manyver.se), and it's probably one of the most "modern" ones, currently in active development, working on new features all the time, and it works on both mobile and desktop.

Some other good clients are [Planetary](https://www.planetary.social/) for iOS, and [oasis](https://github.com/fraction/oasis) for web.
You can find a list of clients [here](https://handbook.scuttlebutt.nz/applications).

Most of the development is being done with Javascript, and other web technologies, however more recently there is work being done on making native Rust libraries.
There are various plans to try and document more, and make it simpler for people to create clients. Diversity of clients is good!

I'm currently working on a native Linux client written in Rust, using the GTK4 toolkit.
There's a test site up at the moment [here](https://waterdrinkers.gay).
